%define name talpo
%define version 0.0.20110716git2658915

Name:		%{name}
Version:	%{version}
Release:	1
License:	GPLv3
Summary:	Talpo is GCC MELT user-programmable checker
Group:		Development/C
URL:		https://gitorious.org/%{name}/%{name}
Source0:	%{name}-%{version}.tar.bz2
# [alex@portable-alex talpo (Mandriva)]$ git tag 0.0.$(date "+%Y%m%d")
# [alex@portable-alex talpo (Mandriva)]$ git tag -l
# 0.0.20110701
# [alex@portable-alex talpo (Mandriva)]$ git archive --format=tar --prefix=talpo-$(git describe --tags)git$(git describe --always)/ master | bzip2 > /home/alex/BuildSystem/talpo/SOURCES/talpo-$(git describe --tags)git$(git describe --always).tar.bz2
Requires:	gccmelt
BuildArch:	noarch

%description
GCC MELT is a GCC plugin providing a lispy domain specific
language to easily code GCC extensions in.

Talpo is such of one of theses extensions, aiming at providing
compile-time complex and easy-to-use checking.

%files
%defattr(-,root,root,-)
%doc README
%{_datadir}/gcc-melt/%{name}/*.melt

%prep
%setup -q

%build
# Nothing to do here

%install
%makeinstall_std PREFIX=%{_prefix}/

%clean
rm -fr %{buildroot}


%changelog
* Sat Jul 16 2011 Alexandre Lissy <alissy@mandriva.com> 0.0.20110716git2658915-1
+ Revision: 690129
- Update to latest git snapshot

* Fri Jul 08 2011 Alexandre Lissy <alissy@mandriva.com> 0.0.20110708git6a72e12-1
+ Revision: 689318
- Updating to latest git snapshot
- Revert.
- Test
- Fake target

* Wed Jul 06 2011 Alexandre Lissy <alissy@mandriva.com> 0.0.20110706git72bbaba-1
+ Revision: 688956
- Updating to latest git revision
- Updating spec template to use version and release from Git
- Using gitrpm stuff

* Fri Jul 01 2011 Alexandre Lissy <alissy@mandriva.com> 0.0.20110701git44d9078-1
+ Revision: 688506
- Introducing the talpo project
- Created package structure for talpo.

